Get version details
curl --request GET \
--url https://api.mixpeek.com/v1/apps/{app_id}/versions/{version} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/apps/{app_id}/versions/{version}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/apps/{app_id}/versions/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 123,
"s3_version_id": "<string>",
"asset_prefix": "<string>",
"asset_manifest": {},
"deployed_by": "<string>",
"deployed_at": "<string>",
"environment": "<string>",
"build_duration_ms": 123,
"message": "<string>",
"source_files": {},
"git_commit_sha": "<string>",
"git_commit_message": "<string>",
"git_author": "<string>",
"is_active": {}
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Versions
Get Version Details
Return full details for a specific version including asset manifest and source files.
GET
/
v1
/
apps
/
{app_id}
/
versions
/
{version}
Get version details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Full detail for a single version.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Git commit SHA
Git commit message
Git commit author
Which environments this version is currently deployed to
Show child attributes
Show child attributes
Was this page helpful?
⌘I

